#ifndef CLIB_ACEPANSION_PROTOS_H
#define CLIB_ACEPANSION_PROTOS_H

/*
   acepansion.acepansion C prototypes
   Copyright   2016 Philippe Rimauro
   Generated with LibMaker 0.11.
*/


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

struct ACEpansionPlugin * CreatePlugin(CONST_STRPTR *, struct SignalSemaphore *);
VOID DeletePlugin(struct ACEpansionPlugin *);
BOOL ActivatePlugin(struct ACEpansionPlugin *, BOOL);
VOID Reset(struct ACEpansionPlugin *);
VOID Emulate(struct ACEpansionPlugin *, ULONG *);
VOID WriteIO(struct ACEpansionPlugin *, USHORT, UBYTE);
VOID ReadIO(struct ACEpansionPlugin *, USHORT, UBYTE *);
VOID GetAudio(struct ACEpansionPlugin *, SHORT *, SHORT *);
VOID Printer(struct ACEpansionPlugin *, UBYTE, BOOL, BOOL *);
VOID Cursor(struct ACEpansionPlugin *);
VOID AcknowledgeInterrupt(struct ACEpansionPlugin *, UBYTE *);
VOID Joystick(struct ACEpansionPlugin *, BOOL, BOOL, UBYTE *);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* CLIB_ACEPANSION_PROTOS_H */
